# -*- coding: utf-8 -*-
## GrufSpaces
## Group environments for elaborating and exchanging information
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
"""
$Id: config.py 26268 2006-07-19 14:10:46Z roeder $
"""
__author__  = 'Maik Roeder'
__docformat__ = 'restructuredtext'

# CMF imports
try:
    from Products.CMFCore.permissions import ManagePortal
except:
    from Products.CMFCore.CMFCorePermissions import ManagePortal

PROJECTNAME = 'GrufSpaces'
GLOBALS = globals()
SKINS_DIR = 'skins'
CONFIGLET_ICON = "GroupSpace.gif"

# Configlets
grufspaces_prefs_configlet = {
    'id': 'grufspaces_prefs',
    'appId': PROJECTNAME,
    'name': 'GrufSpaces',
    'action': 'string:$portal_url/prefs_grufspaces_form',
    'category': 'Products',
    'permission': (ManagePortal,),
    'imageUrl': CONFIGLET_ICON,
    }
