## Script (Python) "getMemberGroupSpaces"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=sorted=0
##title=
##

# Returns all GroupSpaces a member is involved in

from Products.CMFCore.utils import getToolByName
ctool = getToolByName(context, 'portal_catalog')
users_and_groups = context.get_user_and_groups()
if sorted:
    query = {'portal_type':'GroupSpace',
                'listGroupSpaceMemberIds':{ 'query':users_and_groups,
                                            'operator':'or'},
                'sort_on':'Date',
                'sort_order':'reverse'}
else:
    query = {'portal_type':'GroupSpace',
                'listGroupSpaceMemberIds':{ 'query':users_and_groups,
                                            'operator':'or'},
                'sort_on':'sortable_title',}

return ctool.searchResults(query)
