## Script (Python) "get_user_and_groups"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Get user and groups
##

# Returns a list containing
# - The user name
# - The names of the groups that the member is part of

from Products.CMFCore.utils import getToolByName
mtool = getToolByName(context, 'portal_membership')
member = mtool.getAuthenticatedMember()

user_and_groups= [member.getUserName()]

if hasattr(member, 'getGroups'):
    user_and_groups += list(member.getGroups())

return user_and_groups

