## Script (Python) "getGrufPersonAllGroup"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=
##
# Création liste utilisateurs disponible dans les sous-groupes
liste = []
for g in context.getGroupAvailable():
  obj = getattr(context,g["id"])
  liste.extend(obj.listGroupSpaceMemberIds()) # A remplacer par listGroupSpaceMemberIds dans GrufSpace 0.7
  liste.extend(list(obj.getCollabUsers('GroupAdmin'))) # A virer dans GrufSpace 0.7
  liste.extend(list(obj.getCollabUsers('GroupLeader'))) # A virer dans GrufSpace 0.7
  liste.extend(list(obj.getCollabUsers('GroupVisitor')))
# Suppression des doublons
liste_no_x2 = []
for l in liste:
   if l in liste_no_x2:
      liste.remove(l)
   else:
      liste_no_x2.append(l)

# Création liste utilisateurs disponible déjà affecté ou non
liste_init = context.listGroupSpaceMemberIds() # A remplacer par listGroupSpaceMemberIds dans GrufSpace 0.7
liste_init.extend(list(context.getCollabUsers('GroupAdmin'))) # A virer dans GrufSpace 0.7
liste_init.extend(list(context.getCollabUsers('GroupLeader'))) # A virer dans GrufSpace 0.7
liste_init.extend(list(context.getCollabUsers('GroupVisitor')))
# Suppression des doublons liste des utilisateurs
liste_no_x2 = []
for l in liste_init:
   if l in liste_no_x2:
      liste_init.remove(l)
   else:
      liste_no_x2.append(l)


liste_dispo=[]

for l in liste_init:
  info = {}
  i=context.portal_membership.getMemberInfo(l)
  info["id"]=l
  info["fullname"]=i["fullname"]
  if l in liste:
    info["class"] = 'double'
  else:
    info["class"] = 'single'
  liste_dispo.append(info)

return liste_dispo
